%define perlvendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)

Name:           perl-Newt
Version:        1.08
Release:        %mkrel 8
Summary:        Edit configuration files through Augeas C library
License:        Artistic
Group:          System/Configuration
URL:            http://search.cpan.org/dist/Newt
Source0:        http://search.cpan.org/CPAN/authors/id/A/AM/AMEDINA/Newt-1.08.tar.gz
Patch0:		newt-perl-1.08-debian.patch
Patch1:		newt-perl-1.08-typemap.patch
Patch2:		newt-perl-1.08-fix.patch
Patch3:		newt-perl-1.08-xs.patch
Patch4:		newt-perl-1.08-lang.patch
Patch5:		perl-Newt-bz385751.patch

BuildRequires:  perl-devel,newt-devel,popt-devel

%description
Perl bindings for RedHat newt library

%prep
%setup -q -n Newt-%{version}
%patch0 -p1 -b .debian
%patch1 -p1 -b .valist
%patch2 -p1 -b .fix
%patch3 -p1 -b .exes
%patch4 -p1 -b .lang
%patch5 -p1 -b .bz385751
rm -rf newtlib

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make

%install
%makeinstall_std
find ${RPM_BUILD_ROOT} -type f -name perllocal.pod -o -name .packlist -o -name '*.bs' -a -size 0 | xargs rm -f
find ${RPM_BUILD_ROOT} -type d -depth | xargs rmdir --ignore-fail-on-non-empty

%files
%doc ChangeLog README
%{perlvendorlib}/*
%{_mandir}/man3/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.08-8.mga4
+ Revision: 524959
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.08-7.mga4
+ Revision: 431694
- perl 5.18.0 rebuild

* Wed Jan 23 2013 fwang <fwang> 1.08-6.mga3
+ Revision: 391507
- update rpm group

* Sun Jan 13 2013 umeabot <umeabot> 1.08-5.mga3
+ Revision: 370990
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.08-4.mga3
+ Revision: 251001
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.08-3.mga2
+ Revision: 104896
- Rebuild for perl 5.14

* Thu Jan 20 2011 jquelin <jquelin> 1.08-2.mga1
+ Revision: 26756
- mageia rebuild
- imported package perl-Newt


* Wed Aug 26 2009 Bruno Cornec <bcornec@mandriva.org> 1.08-2mdv2010.0
+ Revision: 421312
- Update to fedora -22 version to remove a AUTOLOAD warning with an additional patch

* Sat Aug 22 2009 Bruno Cornec <bcornec@mandriva.org> 1.08-1mdv2010.0
+ Revision: 419436
- Initial import based on Fedora package
- create perl-Newt

